import { ComponentType } from 'react';
export declare function setStyle(dom: HTMLElement, style: CSSStyleDeclaration): () => void;
export declare function addCss(dom: HTMLElement, cls: string): () => void;
export interface ReactFiber {
    type?: string | ComponentType;
    key?: string;
    return?: ReactFiber;
    child?: ReactFiber;
    sibling?: ReactFiber;
    stateNode: HTMLElement | any | null;
    _debugSource?: {
        __mometa: MometaData;
    };
}
export declare function parseReactDomNodeDeep(dom: HTMLElement): {
    fiber: any;
    mometa: any;
} | {
    fiber: ReactFiber;
    mometa?: undefined;
};
export declare function parseReactDomNode(dom: HTMLElement): {
    fiber: any;
    mometa: any;
} | {
    fiber: ReactFiber;
    mometa?: undefined;
};
export declare function getDomName(dom: HTMLElement): string;
